package com.ruoyi.system.model.voucher;


import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author root
 * @description 凭证分录信息
 * @Date 2024-01-17 15:02:10
 **/
public class VoucherBody  {
    public static final String ENTITY_NAME = "pzcx.pzcx.voucherBody";
    public static final String VOUCHERID = "voucher_id";
    public static final String RECORDNUMBER = "recordnumber";
    public static final String DESCRIPTION = "description";
    public static final String DEBIT_ORIGINAL = "debit_original";
    public static final String CREDIT_ORIGINAL = "credit_original";
    public static final String DEBIT_ORG = "debit_org";
    public static final String CREDIT_ORG = "credit_org";
    public static final String ORGANIZE_DEBIT_AMOUNT = "organize_debit_amount";
    public static final String ORGANIZE_CREDIT_AMOUNT = "organize_credit_amount";
    public static final String DEBIT_GROUP = "debit_group";
    public static final String CREDIT_GROUP = "credit_group";
    public static final String DEBIT_GLOBAL = "debit_global";
    public static final String CREDIT_GLOBAL = "credit_global";
    public static final String QUANTITY = "quantity";
    public static final String DEBIT_QUANTITY = "debit_quantity";
    public static final String CREDIT_QUANTITY = "credit_quantity";
    public static final String PRICE = "price";
    public static final String CHECKFLAG = "checkflag";
    public static final String AUXILIARYSHOW = "auxiliaryShow";
    public static final String ACCSUBJECT = "accsubject";
    public static final String ACCCODE = "accCode";
    public static final String ACCNAME = "accName";
    public static final String CASHCATEGORY = "cashCategory";
    public static final String CURRENCYID = "currencyId";
    public static final String CURRENCYCODE = "currencyCode";
    public static final String CURRENCYNAME = "currencyName";
    public static final String VOUCHERIMPORTMODEL_ID = "voucherImportModel_id";
    public static final String CREATETIME = "createTime";
    public static final String MODIFYTIME = "modifyTime";
    public static final String CREATOR = "creator";
    public static final String MODIFIER = "modifier";
    public static final String YTENANTID = "ytenantId";
    public static final String ID = "id";
    public static final String PUBTS = "pubts";
    public static final String SOURCEGRANDID = "sourceGrandId";
    public static final String FIRSTID = "firstId";
    public static final String FIRSTCHILDID = "firstChildId";
    public static final String FIRSTBUSIOBJ = "firstBusiObj";
    public static final String FIRSTCODE = "firstCode";
    public static final String BIZFLOWID = "bizflowId";
    public static final String BIZFLOWNAME = "bizflowName";
    public static final String SOURCEID = "sourceId";
    public static final String SOURCECHILDID = "sourceChildId";
    public static final String BIZFLOWINSTANCEID = "bizFlowInstanceId";
    public static final String SOURCEBUSIOBJ = "sourceBusiObj";
    public static final String SOURCECODE = "sourceCode";
    public static final String BIZFLOWMAKEBILLCODE = "bizFlowMakeBillCode";
    public static final String DR = "dr";
    public static final String VOUCHERAUXILIARYLIST = "voucherAuxiliaryList";

    /* 关联凭证头ID,uri:pzcx.pzcx.voucherBody.voucher_id */
    private String voucher_id;
    /* 分录号,uri:pzcx.pzcx.voucherBody.recordnumber */
    private String recordnumber;
    /* 凭证摘要,uri:pzcx.pzcx.voucherBody.description */
    private String description;
    /* 借方原币金额,uri:pzcx.pzcx.voucherBody.debit_original */
    private BigDecimal debit_original;
    /* 贷方原币金额,uri:pzcx.pzcx.voucherBody.credit_original */
    private BigDecimal credit_original;
    /* 借方本币(账簿),uri:pzcx.pzcx.voucherBody.debit_org */
    private BigDecimal debit_org;
    /* 贷方本币(账簿),uri:pzcx.pzcx.voucherBody.credit_org */
    private BigDecimal credit_org;
    /* 借方本币(组织),uri:pzcx.pzcx.voucherBody.organize_debit_amount */
    private BigDecimal organize_debit_amount;
    /* 贷方本币(组织),uri:pzcx.pzcx.voucherBody.organize_credit_amount */
    private BigDecimal organize_credit_amount;
    /* 借方本币(集团),uri:pzcx.pzcx.voucherBody.debit_group */
    private BigDecimal debit_group;
    /* 贷方本币(集团),uri:pzcx.pzcx.voucherBody.credit_group */
    private BigDecimal credit_group;
    /* 借方本币(全局),uri:pzcx.pzcx.voucherBody.debit_global */
    private BigDecimal debit_global;
    /* 贷方本币(全局),uri:pzcx.pzcx.voucherBody.credit_global */
    private BigDecimal credit_global;
    /* 数量,uri:pzcx.pzcx.voucherBody.quantity */
    private BigDecimal quantity;
    /* 借方数量,uri:pzcx.pzcx.voucherBody.debit_quantity */
    private BigDecimal debit_quantity;
    /* 贷方数量,uri:pzcx.pzcx.voucherBody.credit_quantity */
    private BigDecimal credit_quantity;
    /* 单价,uri:pzcx.pzcx.voucherBody.price */
    private BigDecimal price;
    /* 银行对账状态(true-已对账,uri:pzcx.pzcx.voucherBody.checkflag */
    private String checkflag;
    /* 分录关联的辅助核算项来源档案取值名称,uri:pzcx.pzcx.voucherBody.auxiliaryShow */
    private String auxiliaryShow;
    /* 科目,uri:pzcx.pzcx.voucherBody.accsubject */
    private String accsubject;
    /* 科目code,uri:pzcx.pzcx.voucherBody.accCode */
    private String accCode;
    /* 科目名称,uri:pzcx.pzcx.voucherBody.accName */
    private String accName;
    /* 现金分类,uri:pzcx.pzcx.voucherBody.cashCategory */
    private String cashCategory;
    /* 币种ID,uri:pzcx.pzcx.voucherBody.currencyId */
    private String currencyId;
    /* 币种code,uri:pzcx.pzcx.voucherBody.currencyCode */
    private String currencyCode;
    /* 币种名称,uri:pzcx.pzcx.voucherBody.currencyName */
    private String currencyName;
    /* 凭证导入实体,uri:pzcx.pzcx.voucherBody.voucherImportModel_id */
    private String voucherImportModel_id;
    /* 创建时间,uri:iuap.busiObj.IAuditInfo.createTime */
    private Date createTime;
    /* 修改时间,uri:iuap.busiObj.IAuditInfo.modifyTime */
    private Date modifyTime;
    /* 创建人,uri:iuap.busiObj.IAuditInfo.creator */
    private String creator;
    /* 修改人,uri:iuap.busiObj.IAuditInfo.modifier */
    private String modifier;
    /* 租户id,uri:iuap.busiObj.IYTenant.ytenantId */
    private String ytenantId;
    /* id,uri:iuap.busiObj.BizObject.id */
    private String id;
    /* pubts,uri:iuap.busiObj.BizObject.pubts */
    private Date pubts;
    /* 来源孙表id,uri:iuap.busiObj.BusinessFlowSourcesItf.sourceGrandId */
    private String sourceGrandId;
    /* 来源单据主表id,uri:iuap.busiObj.BusinessFlowSourcesItf.firstId */
    private String firstId;
    /* 来源单据子表id,uri:iuap.busiObj.BusinessFlowSourcesItf.firstChildId */
    private String firstChildId;
    /* 来源业务对象,uri:iuap.busiObj.BusinessFlowSourcesItf.firstBusiObj */
    private String firstBusiObj;
    /* 来源单据号,uri:iuap.busiObj.BusinessFlowSourcesItf.firstCode */
    private String firstCode;
    /* 业务流id,uri:iuap.busiObj.BusinessFlowItf.bizflowId */
    private String bizflowId;
    /* 流程名称,uri:iuap.busiObj.BusinessFlowItf.bizflowName */
    private String bizflowName;
    /* 上游单据主表id,uri:iuap.busiObj.BusinessFlowItf.sourceId */
    private String sourceId;
    /* 上游单据子表id,uri:iuap.busiObj.BusinessFlowItf.sourceChildId */
    private String sourceChildId;
    /* 业务流实例id,uri:iuap.busiObj.BusinessFlowItf.bizFlowInstanceId */
    private String bizFlowInstanceId;
    /* 上游业务对象,uri:iuap.busiObj.BusinessFlowItf.sourceBusiObj */
    private String sourceBusiObj;
    /* 上游单据号,uri:iuap.busiObj.BusinessFlowItf.sourceCode */
    private String sourceCode;
    /* 单据转换规则编码,uri:iuap.busiObj.BusinessFlowItf.bizFlowMakeBillCode */
    private String bizFlowMakeBillCode;
    /* 逻辑删除,uri:iuap.busiObj.LogicDelete.dr */
    private Short dr;
    /* 子表实体引用 */
    private List<VoucherAuxiliary> voucherAuxiliaryList;

    public void setVoucher_id(String voucher_id) {
        this.voucher_id = voucher_id;
    }

    public void setRecordnumber(String recordnumber) {
        this.recordnumber = recordnumber;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setDebit_original(BigDecimal debit_original) {
        this.debit_original = debit_original;
    }

    public void setCredit_original(BigDecimal credit_original) {
        this.credit_original = credit_original;
    }

    public void setDebit_org(BigDecimal debit_org) {
        this.debit_org = debit_org;
    }

    public void setCredit_org(BigDecimal credit_org) {
        this.credit_org = credit_org;
    }

    public void setOrganize_debit_amount(BigDecimal organize_debit_amount) {
        this.organize_debit_amount = organize_debit_amount;
    }

    public void setOrganize_credit_amount(BigDecimal organize_credit_amount) {
        this.organize_credit_amount = organize_credit_amount;
    }

    public void setDebit_group(BigDecimal debit_group) {
        this.debit_group = debit_group;
    }

    public void setCredit_group(BigDecimal credit_group) {
        this.credit_group = credit_group;
    }

    public void setDebit_global(BigDecimal debit_global) {
        this.debit_global = debit_global;
    }

    public void setCredit_global(BigDecimal credit_global) {
        this.credit_global = credit_global;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    public void setDebit_quantity(BigDecimal debit_quantity) {
        this.debit_quantity = debit_quantity;
    }

    public void setCredit_quantity(BigDecimal credit_quantity) {
        this.credit_quantity = credit_quantity;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public void setCheckflag(String checkflag) {
        this.checkflag = checkflag;
    }

    public void setAuxiliaryShow(String auxiliaryShow) {
        this.auxiliaryShow = auxiliaryShow;
    }

    public void setAccsubject(String accsubject) {
        this.accsubject = accsubject;
    }

    public void setAccCode(String accCode) {
        this.accCode = accCode;
    }

    public void setAccName(String accName) {
        this.accName = accName;
    }

    public void setCashCategory(String cashCategory) {
        this.cashCategory = cashCategory;
    }

    public void setCurrencyId(String currencyId) {
        this.currencyId = currencyId;
    }

    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    public void setCurrencyName(String currencyName) {
        this.currencyName = currencyName;
    }

    public void setVoucherImportModel_id(String voucherImportModel_id) {
        this.voucherImportModel_id = voucherImportModel_id;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public void setYtenantId(String ytenantId) {
        this.ytenantId = ytenantId;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setPubts(Date pubts) {
        this.pubts = pubts;
    }

    public void setSourceGrandId(String sourceGrandId) {
        this.sourceGrandId = sourceGrandId;
    }

    public void setFirstId(String firstId) {
        this.firstId = firstId;
    }

    public void setFirstChildId(String firstChildId) {
        this.firstChildId = firstChildId;
    }

    public void setFirstBusiObj(String firstBusiObj) {
        this.firstBusiObj = firstBusiObj;
    }

    public void setFirstCode(String firstCode) {
        this.firstCode = firstCode;
    }

    public void setBizflowId(String bizflowId) {
        this.bizflowId = bizflowId;
    }

    public void setBizflowName(String bizflowName) {
        this.bizflowName = bizflowName;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public void setSourceChildId(String sourceChildId) {
        this.sourceChildId = sourceChildId;
    }

    public void setBizFlowInstanceId(String bizFlowInstanceId) {
        this.bizFlowInstanceId = bizFlowInstanceId;
    }

    public void setSourceBusiObj(String sourceBusiObj) {
        this.sourceBusiObj = sourceBusiObj;
    }

    public void setSourceCode(String sourceCode) {
        this.sourceCode = sourceCode;
    }

    public void setBizFlowMakeBillCode(String bizFlowMakeBillCode) {
        this.bizFlowMakeBillCode = bizFlowMakeBillCode;
    }

    public void setDr(Short dr) {
        this.dr = dr;
    }

    public void setVoucherAuxiliaryList(List<VoucherAuxiliary> voucherAuxiliaryList) {
        this.voucherAuxiliaryList = voucherAuxiliaryList;
    }

    public String getVoucher_id() {
        return voucher_id;
    }

    public String getRecordnumber() {
        return recordnumber;
    }

    public String getDescription() {
        return description;
    }

    public BigDecimal getDebit_original() {
        return debit_original;
    }

    public BigDecimal getCredit_original() {
        return credit_original;
    }

    public BigDecimal getDebit_org() {
        return debit_org;
    }

    public BigDecimal getCredit_org() {
        return credit_org;
    }

    public BigDecimal getOrganize_debit_amount() {
        return organize_debit_amount;
    }

    public BigDecimal getOrganize_credit_amount() {
        return organize_credit_amount;
    }

    public BigDecimal getDebit_group() {
        return debit_group;
    }

    public BigDecimal getCredit_group() {
        return credit_group;
    }

    public BigDecimal getDebit_global() {
        return debit_global;
    }

    public BigDecimal getCredit_global() {
        return credit_global;
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public BigDecimal getDebit_quantity() {
        return debit_quantity;
    }

    public BigDecimal getCredit_quantity() {
        return credit_quantity;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public String getCheckflag() {
        return checkflag;
    }

    public String getAuxiliaryShow() {
        return auxiliaryShow;
    }

    public String getAccsubject() {
        return accsubject;
    }

    public String getAccCode() {
        return accCode;
    }

    public String getAccName() {
        return accName;
    }

    public String getCashCategory() {
        return cashCategory;
    }

    public String getCurrencyId() {
        return currencyId;
    }

    public String getCurrencyCode() {
        return currencyCode;
    }

    public String getCurrencyName() {
        return currencyName;
    }

    public String getVoucherImportModel_id() {
        return voucherImportModel_id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public String getCreator() {
        return creator;
    }

    public String getModifier() {
        return modifier;
    }

    public String getYtenantId() {
        return ytenantId;
    }

    public String getId() {
        return id;
    }

    public Date getPubts() {
        return pubts;
    }

    public String getSourceGrandId() {
        return sourceGrandId;
    }

    public String getFirstId() {
        return firstId;
    }

    public String getFirstChildId() {
        return firstChildId;
    }

    public String getFirstBusiObj() {
        return firstBusiObj;
    }

    public String getFirstCode() {
        return firstCode;
    }

    public String getBizflowId() {
        return bizflowId;
    }

    public String getBizflowName() {
        return bizflowName;
    }

    public String getSourceId() {
        return sourceId;
    }

    public String getSourceChildId() {
        return sourceChildId;
    }

    public String getBizFlowInstanceId() {
        return bizFlowInstanceId;
    }

    public String getSourceBusiObj() {
        return sourceBusiObj;
    }

    public String getSourceCode() {
        return sourceCode;
    }

    public String getBizFlowMakeBillCode() {
        return bizFlowMakeBillCode;
    }

    public Short getDr() {
        return dr;
    }

    public List<VoucherAuxiliary> getVoucherAuxiliaryList() {
        return voucherAuxiliaryList;
    }

}
